<?php session_start();?>
<?php include('php_gene1.php'); ?>
<?php include('../_cfg/config.php');?>
<?php include('php_session.php');?>

<?php
return;

$cong_sql='select * from cong0 where cong_codigo="'.$_SESSION['cong_codigo'].'"';
$cong_res=msql_query($cong_sql,$link_vcrx);
$salas = msql_result($cong_res,0,'cong_sala');
$grupos = msql_result($cong_res,0,'cong_grupo');

$sql_docu='select * from docu0 where docu_tabla="jwib"';
$xfecha1='2016-10-03';

if($cong_codigo!='')
{  
  for ($fec=0; $fec<=16; $fec++)
  {
      $fecha=date('Y-m-d',strtotime ('next Monday +'.($fec*7).' days'));
      $res_docu=msql_query($sql_docu,$link_vcrx);
      while($r_docu=msql_fetch_assoc($res_docu))
      {
        $docu=$r_docu['docu_codigo'];
        $msala=0;
        if(substr($docu,0,3)=="VM3"){$msala=$salas;}
        for($csala=0; $csala<=$msala; $csala++)
        {
          $jwib_sql='select * from jwib1 ';
          $jwib_sql.=' where docu = "'.$docu.'"';
          $jwib_sql.=' and fecha = "'.$fecha.'"';
          $jwib_sql.=' and cong="'.$cong_codigo.'"';
          $jwib_sql.=' and sala="'.$csala.'"';
          $jwib_res=msql_query($jwib_sql,$link_vcrx);
          if(msql_num_rows($jwib_res)==0)
          {
            $jwib_sqli='insert into jwib1(docu,fecha,cong,sala,status) ';
            $jwib_sqli.=' value("'.$docu.'","'.$fecha.'","'.$cong_codigo.'","'.$csala.'","-")';
            $jwib_resi=msql_query($jwib_sqli,$link_vcrx);
          }  
        }
      }
  }
}

$fecha3=strtotime ('next Month');
$fecha3=date('Y-m-'.'01',$fecha3);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu1-1) where cong=cong_codigo and docu in("ELIB","") and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_vcrx);
echo '****'.msql_error($link_vcrx);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu1-1) where cong=cong_codigo and docu in("REU1") and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_vcrx);
echo '****'.msql_error($link_vcrx);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu1-1) where cong=cong_codigo and docu like "VM%" and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_vcrx);
echo '****'.msql_error($link_vcrx);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu2-1) where cong=cong_codigo and docu in("EATA","DPU1") and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_vcrx);
echo '****'.msql_error($link_vcrx);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu2-1) where cong=cong_codigo and docu in("REU2") and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_vcrx);
echo '****'.msql_error($link_vcrx);

$jwib_sql='update jwib1, cong0 set fechar=adddate(fecha,cong_reu1-1) where cong=cong_codigo and left(docu,2)="AS" and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_vcrx);
echo '****'.msql_error($link_vcrx);


$jwib_sql='update jwib1, cong0 set fecha2=adddate(fecha,cong_reu2-1) where cong=cong_codigo and left(docu,2)="AS" and (fecha>="'.$fecha3.'" or fechar is null)';
$jwib_res=msql_query($jwib_sql,$link_vcrx);
echo '****'.msql_error($link_vcrx);



?>
